Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.strategy.scheduling
Enum SupplyingFilteringType

    java.lang.Object
      java.lang.Enum<SupplyingFilteringType>
          lbg.peer.strategy.scheduling.SupplyingFilteringType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SupplyingFilteringType>

    public enum SupplyingFilteringType

extends java.lang.Enum<SupplyingFilteringType>

Author:
  Cyril Briquet

Enum Constant Summary
`FIFOSupplyingFiltering`
`NoSupplyingFiltering`
`RelaxedFavorsSupplyingFiltering`
`StrictFavorsSupplyingFiltering`
`UnlimitedSupplyingFiltering`

Method Summary
`abstract SupplyingFilteringPolicy` | `createSupplyingFilteringPolicy(Peer managed_peer)`
`static java.lang.String` | `getPDPLabel()`
`static java.lang.String[]` | `getPolicyLabels()`
`abstract boolean` | `isBarteringStrategy()`
`static int` | `size()`
`static SupplyingFilteringType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SupplyingFilteringType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoSupplyingFiltering

    public static final SupplyingFilteringType NoSupplyingFiltering

### UnlimitedSupplyingFiltering

    public static final SupplyingFilteringType UnlimitedSupplyingFiltering

### FIFOSupplyingFiltering

    public static final SupplyingFilteringType FIFOSupplyingFiltering

### RelaxedFavorsSupplyingFiltering

    public static final SupplyingFilteringType RelaxedFavorsSupplyingFiltering

### StrictFavorsSupplyingFiltering

    public static final SupplyingFilteringType StrictFavorsSupplyingFiltering

Method Detail

### values

    public static final SupplyingFilteringType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SupplyingFilteringType c : SupplyingFilteringType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SupplyingFilteringType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### createSupplyingFilteringPolicy

    public abstract SupplyingFilteringPolicy createSupplyingFilteringPolicy(Peer managed_peer)
                                                                     throws GridException

  Throws:
    `GridException`

### isBarteringStrategy

    public abstract boolean isBarteringStrategy()

### getPDPLabel

    public static final java.lang.String getPDPLabel()

### size

    public static int size()

### getPolicyLabels

    public static java.lang.String[] getPolicyLabels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.